ActiveMQXAJMSContext (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.client

## Class ActiveMQXAJMSContext

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQJMSContext
  - - org.apache.activemq.artemis.jms.client.ActiveMQXAJMSContext

- All Implemented Interfaces:
    AutoCloseable, javax.jms.JMSContext, javax.jms.XAJMSContext

      public class ActiveMQXAJMSContext
      extends ActiveMQJMSContext
      implements javax.jms.XAJMSContext

- - ### Field Summary

    - ### Fields inherited from interface javax.jms.JMSContext

      `AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQXAJMSContext(ActiveMQConnectionForContext connection, ThreadAwareContext threadAwareContext)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQJMSContext

      `acknowledge, close, commit, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createContext, createDurableConsumer, createDurableConsumer, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createSharedConsumer, createSharedConsumer, createSharedDurableConsumer, createSharedDurableConsumer, createStreamMessage, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAutoStart, getClientID, getContext, getExceptionListener, getMetaData, getSession, getSessionMode, getThreadAwareContext, getTransacted, getUsedSession, getXAResource, recover, rollback, setAutoStart, setClientID, setExceptionListener, start, stop, unsubscribe`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.XAJMSContext

      `commit, getContext, getTransacted, getXAResource, rollback`

    - ### Methods inherited from interface javax.jms.JMSContext

      `acknowledge, close, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createContext, createDurableConsumer, createDurableConsumer, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createSharedConsumer, createSharedConsumer, createSharedDurableConsumer, createSharedDurableConsumer, createStreamMessage, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAutoStart, getClientID, getExceptionListener, getMetaData, getSessionMode, recover, setAutoStart, setClientID, setExceptionListener, start, stop, unsubscribe`

- - ### Constructor Detail

    - #### ActiveMQXAJMSContext

          public ActiveMQXAJMSContext(ActiveMQConnectionForContext connection,
                                      ThreadAwareContext threadAwareContext)

Copyright © 2015. All rights reserved.